.color-options {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 10px;
}
.color-options .option {
    width: 40px;
    height: 40px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    background-size: cover;
    background-position: center;
    position: relative;
}
.color-options .option.selected, .modal-content-wrapper .option.selected{
    border-color: #000;
    box-shadow: 0 0 5px #000;
}

.options-wrapper {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    align-items: flex-start;
}

.options-wrapper .item {
    display: flex;
    gap: 10px;
    width: 100px;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

.options-wrapper .item .option {
    width: 100px;
    height: 100px;
}

.accordion-item {
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
}

.accordion-header {
    cursor: pointer;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.accordion-header h4 {
    margin: 0;
    font-size: 16px;
}

.accordion-content {
    display: none;
    padding: 10px;
}

.accordion-content.show {
    display: block;
}

.color-options .option.more {
    display: none; /* Hidden until modal triggers */
}
.show-more-colors {
    margin-top: 10px;
    cursor: pointer;
    color: blue;
    text-decoration: underline;
}
.hidden-select {
    display: none;
}

.modal-content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}
.modal-content {
    margin: 10% auto;
    position: relative;
    padding: 20px;
    background: white;
    width: 50%;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}
.modal-content .all-color-options {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    height: 400px;
    overflow-y: auto;
}
.modal-content .option {
    width: 40px;
    height: 40px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    background-size: cover;
    background-position: center;
}
.close {
    position: absolute;
    top: 10px;
    right: 15px;
    cursor: pointer;
}
